compiled messages not shipped in packaging resulting in missing translations

Bug #1862343 reported by Przemyslaw Hausman on 2020-02-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Undecided
Unassigned
OpenStack openstack-dashboard charm
Undecided
Unassigned
Ubuntu Cloud Archive
Undecided
Unassigned
Rocky
Undecided
Unassigned
Stein
Undecided
Unassigned
Train
Undecided
Unassigned
Ussuri
Undecided
Unassigned
horizon (Ubuntu)
High
Unassigned
Eoan
High
Unassigned
Focal
High
Unassigned

Bug Description

I changed the language in GUI to French but interface stays mostly English. Just a few strings are displayed in French, e.g.:

- "Password" ("Mot de passe") on the login screen,
- units "GB", "TB" as "Gio" and "Tio" in Compute Overview,
- "New password" ("Noveau mot de passe") in User Settings.

All other strings are in English.

See screenshots attached.

This is the Stein on Ubuntu Bionic deployment.

Przemyslaw Hausman (phausman) wrote :
Przemyslaw Hausman (phausman) wrote :
Przemyslaw Hausman (phausman) wrote :
Przemyslaw Hausman (phausman) wrote :
description: updated
Przemyslaw Hausman (phausman) wrote :

The problem does NOT occur on Queens on Ubuntu Bionic. All strings are properly translated. I have just deployed Queens and verified this. See attached 05-all-ok-queens.png.

Looks like the regression was introduced somewhere between Queens and Stein.

Przemyslaw Hausman (phausman) wrote :

I can now confirm that I can see the same issue on Rocky deployment.

James Page (james-page) wrote :

it looks like the translation compilation never happens - if you drop into /usr/share/openstack-dashboard and run:

  sudo python3 manage.py compilemessages

and then restart apache the translations appear to be OK

James Page (james-page) on 2020-02-25
Changed in charm-openstack-dashboard:
status: New → Invalid
Changed in horizon:
status: New → Invalid
Przemyslaw Hausman (phausman) wrote :

Workaround that worked for me:

sudo apt install -y gettext
cd /usr/share/openstack-dashboard/openstack_dashboard
sudo python3 /usr/share/openstack-dashboard/manage.py compilemessages
sudo systemctl restart apache2

I'm unsubscribing field-high as we have a workaround now.

James Page (james-page) wrote :

Packages have PO files but not MO files - the package build does the compilation but the install step completely misses them.

Changed in horizon (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in horizon (Ubuntu Eoan):
importance: Undecided → High
summary: - Changing the language in GUI has almost no effect
+ compiled messages not shipped in packaging resulting in missing
+ translations
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:18.0.1~git2020021409.bb959361b-0ubuntu3

---------------
horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu3) focal; urgency=medium

  * d/rules: Force regeneration of SOURCES.txt to ensure that generated
    django{js}.mo files are included in binary packages, resolving issues
    with translations (LP: #1862343).

 -- James Page <email address hidden> Wed, 26 Feb 2020 11:54:13 +0000

Changed in horizon (Ubuntu Focal):
status: Triaged → Fix Released
Changed in cloud-archive:
status: New → Fix Committed
Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package horizon - 3:18.0.1~git2020021409.bb959361b-0ubuntu3~cloud0
---------------

 horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu3~cloud0) bionic-ussuri; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu3) focal; urgency=medium
 .
   * d/rules: Force regeneration of SOURCES.txt to ensure that generated
     django{js}.mo files are included in binary packages, resolving issues
     with translations (LP: #1862343).

Changed in cloud-archive:
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

The Eoan Ermine has reached end of life, so this bug will not be fixed for that release

Changed in horizon (Ubuntu Eoan):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers